coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] tests: avoid split/filter test failure on very low-mem system


From: Jim Meyering
Subject: [PATCH] tests: avoid split/filter test failure on very low-mem system
Date: Sun, 19 Aug 2012 17:35:55 +0200

I saw this test fail when run via make -j2 on a low-memory arm-based system,
but not when run in isolation.

>From e44943a25e4a225568b51a411f18ba61134d3eb3 Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Sun, 19 Aug 2012 17:34:04 +0200
Subject: [PATCH] tests: avoid split/filter test failure on very low-mem
 system

* tests/split/filter: Use xz -1 when compressing, to minimize
memory usage.  Otherwise, xz could fail due to insufficient
virtual memory on a system with very little free memory.
---
 tests/split/filter | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/split/filter b/tests/split/filter
index dbcac5f..7a55818 100755
--- a/tests/split/filter
+++ b/tests/split/filter
@@ -29,7 +29,7 @@ for total_n_lines in 5 3000 20000; do
     # and would provide little added benefit.
     case $i:$total_n_lines in 2:5);; *) continue;; esac

-    split -l$i --filter='xz > $FILE.xz' in out- || fail=1
+    split -l$i --filter='xz -1 > $FILE.xz' in out- || fail=1
     xz -dc out-* > out || fail=1
     compare in out || fail=1
     rm -f out*
--
1.7.12.rc2



reply via email to

[Prev in Thread] Current Thread [Next in Thread]